Avatar for Username

Αναζήτηση στην υποστήριξη

Προσοχή στις απάτες! Δεν θα σας ζητήσουμε ποτέ να καλέσετε ή να στείλετε μήνυμα σε κάποιον αριθμό τηλεφώνου ή να μοιραστείτε προσωπικά δεδομένα. Αναφέρετε τυχόν ύποπτη δραστηριότητα μέσω της επιλογής «Αναφορά κατάχρησης».

Learn More

Why doesn't fafsa work with firefox 3.6?

  • 3 απαντήσεις
  • 69 έχουν αυτό το πρόβλημα
  • 1 προβολή
  • Τελευταία απάντηση από AnonymousUser

more options

I am trying to fill out a fafsa form and it keeps saying that my version of firefox (3.6) is not a supported version. It says that 3.5 is acceptable. I hit next on the screen anyway and keep getting a page that says server not found.

URL of affected sites

http://fafsa.ed.gov

I am trying to fill out a fafsa form and it keeps saying that my version of firefox (3.6) is not a supported version. It says that 3.5 is acceptable. I hit next on the screen anyway and keep getting a page that says server not found. == URL of affected sites == http://fafsa.ed.gov

Όλες οι απαντήσεις (3)

more options

This is a shot of the error screen.

more options

This is a copy of the system requirement screen

more options

I've been having the same issue since yesterday (Sunday). I'm on Windows 7 & I'm having the same issue with both IE8 & Chrome. I have previously been able to visit the site (my application is already half-done) despite the site's warning on my OS/Browser.

I tried the site on a compatible Windows XP/IE8 machine & had the same issue.

I think it's the FAFSA site.